#ifndef _Handle_PColgp_VArrayNodeOfFieldOfHArray1OfDir_HeaderFile
#define _Handle_PColgp_VArrayNodeOfFieldOfHArray1OfDir_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColgp_VArrayNodeOfFieldOfHArray1OfDir;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_VArrayNodeOfFieldOfHArray1OfDir);

class Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir)(const Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir)(const PColgp_VArrayNodeOfFieldOfHArray1OfDir* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir)& operator=(const Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir)& operator=(const PColgp_VArrayNodeOfFieldOfHArray1OfDir* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_VArrayNodeOfFieldOfHArray1OfDir* operator->() const 
     {
      return (PColgp_VArrayNodeOfFieldOfHArray1OfDir *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_VArrayNodeOfFieldOfHArray1OfDir) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
